# About-This-Hack
A simple application to view your exact hardware on macOS. Similar to About This Mac, but with more features, including AMD Processor Support, display resolution, and more! Works on both Hackintoshes *and* real Macs! <br>


<img width="692" alt="M1 iMac Monterey" src="https://user-images.githubusercontent.com/71262643/175041661-246d1602-7e26-4631-ab9c-a37c785c87db.png">

![Hackintosh Ventura](https://user-images.githubusercontent.com/94565160/175034194-1f2daa81-354b-4aeb-b2a3-0f83165621eb.png)

# Supported OS's
- **10.11 El Capitan and newer** *(Older OS support is a WIP as Swift is bad for backwards compatibility)*
- Not supported in any way in Linux or Windows

# How To Install
1) Download the zip file from the latest release
2) Drag the enclosed app to your Applications Folder
3) Open!

# If you get [this error](https://user-images.githubusercontent.com/79278890/111886978-4af4cb80-89a8-11eb-90c8-522a89abb48e.png) when opening:
1) Open `System Preferences` and go to `Security & Privacy`.
2) Under `General` you should see [this prompt](https://user-images.githubusercontent.com/79278890/111887197-c6a34800-89a9-11eb-83e2-9fd3d61e2c15.png):
3) Click "Open Anyway"
4) You're golden!

# Further Documentation

In the app, there are four tabs on a tab bar at the top of the window, and each one visually presents some information about your system.

The Overview tab, pictured below, presents standard system specifications, such as computer model, OS, processor, etc.

<img width="692" alt="M1 iMac Monterey" src="https://user-images.githubusercontent.com/71262643/175041661-246d1602-7e26-4631-ab9c-a37c785c87db.png">

The Displays tab, pictured below, presents your displays, showing up to three. Each display's name and resolution are shown.

<img width="692" alt="Capture d’écran 2022-06-22 à 09 50 22" src="https://user-images.githubusercontent.com/71262643/175045609-45df2fd8-afab-4184-bc8a-b8bb62414094.png">

Or with only one display:

![image](https://user-images.githubusercontent.com/71262643/175046145-21a09c0a-f5bd-4b38-a6cc-1706c3567f9a.png)

The Storage tab, pictured below, presents your startup disk as well as its name, free and total storage, and a progress bar to indicate the amount used.

<img width="692" alt="Capture d’écran 2022-06-22 à 09 49 55" src="https://user-images.githubusercontent.com/71262643/175045514-81a37dc7-9604-405a-901b-9d75ebcc19bb.png">

The Support tab, pictured below, contains numerous links to provide support with your Mac or Hackintosh. Note that the Mac links point to Apple's website, and the Hackintosh ones point to Dortania's guide.

<img width="692" alt="Capture d’écran 2022-06-22 à 09 49 43" src="https://user-images.githubusercontent.com/71262643/175045493-b70e5c7c-f4ee-466b-8390-b6de8a96aeee.png">


# Credits
@MDNich for helping out a ton with features, code, and setting up the update server. <br>
@LordNaut for helping me fix stuff with AppDelegate and sorting out a bunch of minor, but important features! <br>
@BenSova for being awesome, providing some of the commands, and helping me debug a lot. <br>
@moosethegoose2213 for inspiring the project with his own awesome creation, Hedgefetch. <br>
@MykolaG for suggesting the awesomesauce server icon. <br>
The internet for helping me with a lot of the code.

# Common Issues
### Crashing on startup
- This is an issue that hasn't been fixed yet. You can find new development in [Issue #10](https://github.com/8itCat/About-This-Hack/issues/10)

### Startup Disk not Appearing in App
- Some people get this at random. Latest Commit, *not* release, fixes this.

### Having a different problem? Report in the [Issues](https://github.com/0xCUB3/About-This-Hack/issues) tab!

# Contact
You can reach me at the following destinations:
Discord - 0xCUBE#4315
Reddit - [u/0xCUBE](https://www.reddit.com/user/0xCUBE)
